import java.awt.*;
import javax.swing.*;

/*
<APPLET
    CODE=buttonicons.class
    WIDTH=300
    HEIGHT=200 >
</APPLET>
*/


public class buttonicons extends JApplet 
{
    public void init() 
    {
        Container contentPane = getContentPane();
        Icon normal = new ImageIcon("normal.jpg");
        Icon rollover = new ImageIcon("rollover.jpg");
        Icon pressed = new ImageIcon("pressed.jpg");
        Icon disabled = new ImageIcon("disabled.jpg");
        Icon selected = new ImageIcon("selected.jpg");
        Icon rolloverSelected = new 
            ImageIcon("rselected.jpg");
        Icon disabledSelected = new 
            ImageIcon("dselected.jpg");

        JButton jbutton = new JButton();

        jbutton.setRolloverEnabled(true);

        jbutton.setIcon(normal);
        jbutton.setRolloverIcon(rollover);
        jbutton.setRolloverSelectedIcon(rolloverSelected);
        jbutton.setSelectedIcon(selected);
        jbutton.setPressedIcon(pressed);
        jbutton.setDisabledIcon(disabled);
        jbutton.setDisabledSelectedIcon(disabledSelected);

        contentPane.setLayout(new FlowLayout());
        contentPane.add(jbutton);
    }
}


